

ADAPTER:Endpoint = [NAME=motion_ctrl-svr, PORT=50200, TIMEOUT=10]

STATE:BasdaServiceStateMachine = ONLINE
KILLTIMER:Time = 2.0

LOGGER.LEVEL:LogLevel = DEBUG
LOGGER.TYPE:String=Syslog
LOGGER.SYSLOG_IDENT:String="SHARKNIR.MOTION"

NAME = "motion_ctrl"

VERSION = "2017-12-004"
LOGGER.LEVEL=USER9

####################
######  REAL  ######
####################

  WHEELS.APODIZER_W.CONFIG      = motion_ctrl/wheels/motion_ctrl.wheels.apodizer_w-svc.cfg
  WHEELS.ND_FILT_W.CONFIG       = motion_ctrl/wheels/motion_ctrl.wheels.nd_filt_w-svc.cfg
  WHEELS.CORO_SLIT_W.CONFIG     = motion_ctrl/wheels/motion_ctrl.wheels.coro_slit_w-svc.cfg
  WHEELS.LYOT_GRISM_W.CONFIG    = motion_ctrl/wheels/motion_ctrl.wheels.lyot_grism_w-svc.cfg
  WHEELS.SCI_FILT_W1.CONFIG     = motion_ctrl/wheels/motion_ctrl.wheels.sci_filt_w1-svc.cfg
  WHEELS.SCI_FILT_W2.CONFIG     = motion_ctrl/wheels/motion_ctrl.wheels.sci_filt_w2-svc.cfg
  WHEELS.DB_FILT_W.CONFIG       = motion_ctrl/wheels/motion_ctrl.wheels.db_filt_w-svc.cfg
  STAGEX.PUPIL_LENS_DEP.CONFIG  = motion_ctrl/stages/motion_ctrl.stagex.pupil_lens_dep-svc.cfg
  STAGEX.INBEAM_DEP.CONFIG      = motion_ctrl/stages/motion_ctrl.stagex.inbeam_dep-svc.cfg
  STAGEX.SHUTTER.CONFIG         = motion_ctrl/stages/motion_ctrl.stagex.shutter-svc.cfg
  STAGEXY.INBEAM_TT.CONFIG      = motion_ctrl/stages/motion_ctrl.stagexy.inbeam_tt-svc.cfg


####################
#### SIMULATED #####
####################

# WHEELS.APODIZER_W.CONFIG      = motion_ctrl/wheels-DUMMY/motion_ctrl.wheels.apodizer_w-svc-DUMMY.cfg
# WHEELS.ND_FILT_W.CONFIG       = motion_ctrl/wheels-DUMMY/motion_ctrl.wheels.nd_filt_w-svc-DUMMY.cfg
# WHEELS.CORO_SLIT_W.CONFIG     = motion_ctrl/wheels-DUMMY/motion_ctrl.wheels.coro_slit_w-svc-DUMMY.cfg
# WHEELS.LYOT_GRISM_W.CONFIG    = motion_ctrl/wheels-DUMMY/motion_ctrl.wheels.lyot_grism_w-svc-DUMMY.cfg
# WHEELS.SCI_FILT_W1.CONFIG     = motion_ctrl/wheels-DUMMY/motion_ctrl.wheels.sci_filt_w1-svc-DUMMY.cfg
# WHEELS.SCI_FILT_W2.CONFIG     = motion_ctrl/wheels-DUMMY/motion_ctrl.wheels.sci_filt_w2-svc-DUMMY.cfg
# WHEELS.DB_FILT_W.CONFIG       = motion_ctrl/wheels-DUMMY/motion_ctrl.wheels.db_filt_w-svc-DUMMY.cfg
# STAGEX.PUPIL_LENS_DEP.CONFIG  = motion_ctrl/stages-DUMMY/motion_ctrl.stagex.pupil_lens_dep-svc-DUMMY.cfg
# STAGEX.INBEAM_DEP.CONFIG      = motion_ctrl/stages-DUMMY/motion_ctrl.stagex.inbeam_dep-svc-DUMMY.cfg
# STAGEX.SHUTTER.CONFIG         = motion_ctrl/stages-DUMMY/motion_ctrl.stagex.shutter-svc-DUMMY.cfg 
# STAGEXY.INBEAM_TT.CONFIG      = motion_ctrl/stages-DUMMY/motion_ctrl.stagexy.inbeam_tt-svc-DUMMY.cfg

